rm(list=ls())

#data importation
setwd("D:/DataMining/Databases_for_mining/benchmark_datasets/waveform/data generator from hastie book")
system.time(wave <- read.table(file="wavebin.txt",sep="\t",dec=".",header=T))

#creating the model
system.time(model <- glm(y ~ ., data = wave, family=binomial))
print(model)

#variable selection
library(MASS)
model.default <- glm(y ~ 1, data = wave, family=binomial)
duree <- system.time(model.forward <- stepAIC(model.default,scope=list(lower=as.formula(model.default),upper=as.formula(model)),direction="forward",k=log(nrow(wave))))
print(model.forward)
print(duree)






